player_actarray_actuator Struct Reference

Structure containing a single actuator's information. More...

`#include <player_interfaces.h>`

## Public Attributes

float | position
| The position of the actuator in m or rad depending on the type. More...
float | speed
| The speed of the actuator in m/s or rad/s depending on the type. More...
float | acceleration
| The acceleration of the actuator in m/s^2 or rad/s^2 depending on the type. More...
float | current
| The current of the actuator in A. More...
uint8_t | state
| The current state of the actuator. More...

## Detailed Description

Structure containing a single actuator's information.

## Member Data Documentation

float player_actarray_actuator::acceleration

The acceleration of the actuator in m/s^2 or rad/s^2 depending on the type.

float player_actarray_actuator::current

The current of the actuator in A.

float player_actarray_actuator::position

The position of the actuator in m or rad depending on the type.

float player_actarray_actuator::speed

The speed of the actuator in m/s or rad/s depending on the type.

uint8_t player_actarray_actuator::state

The current state of the actuator.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45